> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a salary



## OpenAPI

````yaml PUT /contract/v1/salaries/{salaryId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/salaries/{salaryId}:
    put:
      tags:
        - Salaries
      summary: Update a salary
      operationId: UpdateSalary
      parameters:
        - in: path
          name: salaryId
          description: Salary ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Salary object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                endDate:
                  type: string
                  format: date
                  description: End date of salary
                comments:
                  type: string
                  description: Comments
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      payPeriod:
                        type: string
                        enum:
                          - daily
                          - weekly
                          - biweekly
                          - monthly
                          - yearly
                      currency:
                        type: string
                        example: EUR
                      grossSalary:
                        type: integer
                        example: 35000
                      payments:
                        type: integer
                        example: 12
                      contributionGroup:
                        type: string
                        example: Oficiales administrativos
                      startDate:
                        type: string
                        format: date
                      endDate:
                        type: string
                        format: date
                      comments:
                        type: string
                      prorated:
                        type: boolean
                        example: false
                      monthlyGrossSalary:
                        type: integer
                        example: 2917
                      remuneration:
                        type: number
                        format: float
                        example: 2916.67
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````